%global pypi_name astroML_addons

Name:           python-astroML-addons
Version:        0.2.1
Release:        5%{?dist}
Summary:        Performance add-ons for the astroML package

License:        BSD
URL:            http://www.astroml.org/
Source0:        https://pypi.python.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

Requires:       python-astroML
BuildRequires:  python-setuptools
BuildRequires:  python2-devel
BuildRequires:  python-astroML

%description
astroML is split into two components. The core astroML library is written
in python only, and is designed to be very easy to install for any users,
even those who don't have a working C or fortran compiler. A companion library,
astroML_addons, can be optionally installed for increased performance on
certain algorithms. Every algorithm in astroML_addons has a pure python
counterpart in the core astroML implementation, but the astroML_addons library
contains faster and more efficient implementations in compiled code.
Furthermore, if astroML_addons is installed on your system, the core astroML
library will import and use the faster routines by default.

%prep
%setup -qn %{pypi_name}-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python2} setup.py build


%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
find %{buildroot} -name 'setup.py*' -print0 | xargs -0 rm -rf
%{_fixperms} %{buildroot}/*

%files
%doc README.rst
%{python2_sitearch}/astroML_addons
%{python2_sitearch}/astroML_addons-%{version}-py%{python2_version}.egg-info

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Mar 17 2014 Christian Dersch <chrisdersch@gmail.com> - 0.2.1-3
- fixed spec to match packaging guidelines

* Mon Mar 17 2014 Christian Dersch <chrisdersch@gmail.com> - 0.2.1-2
- fixed spec to match packaging guidelines

* Mon Feb 24 2014 Christian Dersch <chrisdersch@gmail.com> 0.2.1-1
- initial build
